API documentation | API docs for agents | OpenAPI 3.1

PATCH /api/v1/spot-quotes/bids/{bidId}

ark.update_spot_quote_bid

Updates carrier, DOT, MC, price, price-per-mile, or deadhead details on a visible pending spot quote bid.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
canEditLoad
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

bidIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations.
min length: 1; max length: 255

Request body

carrierIdstring | null

Carrier ID when the carrier already exists in ARK.

format: uuid

carrierNamestring

min length: 1; max length: 200

dotNumberstring

min length: 1; max length: 30

mcNumberstring | null

max length: 30

pricenumber
pricePerMilenumber | null
distanceDeadheadMilesnumber | null

min: 0

Example request

Shell
curl -X PATCH 'https://arktms.com/api/v1/spot-quotes/bids/<bidId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Spot quote bid action result

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.spotQuoteIdstringrequired

format: uuid

data.bidIdstringrequired

format: uuid

data.notificationCountintegerrequired
data.sideEffectErrorstring | nullrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry